OKA(1)

NAME
oka - pipeline Hazards Description Translator

SYNOPSIS
oka [ -c++ -debug -enum -export -no-minimization -split number -pprefix -v ] specification-file

DESCRIPTION
OKA generates code for fast recognition of pipeline hazards of processor which is described in specification file. The specification file must have suffix `.oka'

The generated code consists of interface and implementation files having the same names as one of specification file and correspondingly suffixes `.h' and `.c' (C code) or `.cpp' (C++ code).

Full documentation of OKA is in OKA User's manual.

OPTIONS
The options which are known for OKA are:

-c++
    OKA generates C++ code instead of C code (default).

-debug
    OKA creates code for output of debugging information during execution of the generated code.

-enum
    OKA generates instruction codes as enumeration constant. By default OKA generates instructions code as macro definition.

-export
    OKA generates macros defining identifiers of instructions in the interface file (instead of in the implementation file).

-no-minimization
    OKA does not minimization of generated deterministic finite state automaton (DFA).

-split
    OKA makes automatic splitting automaton on given number automata in order to decrease sizes of generated tables. The option is taken into account only if constructions `%unit' are absent in the specification file. This option has not been implemented yet.

-pprefix
    Generated code uses `prefix' instead of `OKA' for names of the generated objects.

-time
    OKA outputs detail time statistics of its work into stderr.

-v  OKA creates description file which contains description of result automaton and statistics information. The file will have the same name as one of given specification file and suffix `.output' into standard stream.

FILES
file.oka
    OKA specification file
file.c
    generated C implementation file
file.cpp
    generated C++ implementation file
file.h
    generated interface file
There are no any temporary files used by OKA.

ENVIRONMENT
There are no environment variables which affect OKA behavior.

DIAGNOSTICS
OKA diagnostics is self-explanatory.

AUTHOR
Vladimir N. Makarov, vmakarov@users.sourceforge.net

SEE ALSO
msta(1), shilka(1), sprut(1), nona(1). OKA manual.

BUGS
Please, report bugs to cocom-bugs@lists.sourceforge.net.